package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * 6g channel stat
 */
@ApiModel(description = "6g channel stat")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class ApChannelStat   {
  @JsonProperty("channel")
  private Integer channel;

  @JsonProperty("apNum")
  private Integer apNum;

  @JsonProperty("clientNum")
  private Integer clientNum;

  @JsonProperty("channelUtilization")
  private Double channelUtilization;

  public ApChannelStat channel(Integer channel) {
    this.channel = channel;
    return this;
  }

  /**
   * This entry indicates the channel index. For example, 36 means the 36 / 2160MHz channel.
   * @return channel
  */
  @ApiModelProperty(value = "This entry indicates the channel index. For example, 36 means the 36 / 2160MHz channel.")


  public Integer getChannel() {
    return channel;
  }

  public void setChannel(Integer channel) {
    this.channel = channel;
  }

  public ApChannelStat apNum(Integer apNum) {
    this.apNum = apNum;
    return this;
  }

  /**
   * AP number of the channel
   * @return apNum
  */
  @ApiModelProperty(value = "AP number of the channel")


  public Integer getApNum() {
    return apNum;
  }

  public void setApNum(Integer apNum) {
    this.apNum = apNum;
  }

  public ApChannelStat clientNum(Integer clientNum) {
    this.clientNum = clientNum;
    return this;
  }

  /**
   * Client number of the channel
   * @return clientNum
  */
  @ApiModelProperty(value = "Client number of the channel")


  public Integer getClientNum() {
    return clientNum;
  }

  public void setClientNum(Integer clientNum) {
    this.clientNum = clientNum;
  }

  public ApChannelStat channelUtilization(Double channelUtilization) {
    this.channelUtilization = channelUtilization;
    return this;
  }

  /**
   * The average utilization of the channel by APs in percentage. Null means no data.
   * @return channelUtilization
  */
  @ApiModelProperty(value = "The average utilization of the channel by APs in percentage. Null means no data.")


  public Double getChannelUtilization() {
    return channelUtilization;
  }

  public void setChannelUtilization(Double channelUtilization) {
    this.channelUtilization = channelUtilization;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApChannelStat apChannelStat = (ApChannelStat) o;
    return Objects.equals(this.channel, apChannelStat.channel) &&
        Objects.equals(this.apNum, apChannelStat.apNum) &&
        Objects.equals(this.clientNum, apChannelStat.clientNum) &&
        Objects.equals(this.channelUtilization, apChannelStat.channelUtilization);
  }

  @Override
  public int hashCode() {
    return Objects.hash(channel, apNum, clientNum, channelUtilization);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApChannelStat {\n");
    
    sb.append("    channel: ").append(toIndentedString(channel)).append("\n");
    sb.append("    apNum: ").append(toIndentedString(apNum)).append("\n");
    sb.append("    clientNum: ").append(toIndentedString(clientNum)).append("\n");
    sb.append("    channelUtilization: ").append(toIndentedString(channelUtilization)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

